.LM
.ifnot hlp
.HL 1 PARAMETER SETTING 
.index Parameter setting 
.endif hlp
.left margin +5 
.ts 10,30,50,70,90,110
.if hlp.i-6;3 LEFT__MARGIN
.br
.endif hlp
.s.tp5.i-5; _.LEFT MARGIN [+-n] 
.i-5;_.LM [+-n] 
.s.x LEFT MARGIN 
sets the left margin to n. The n must be less than the right margin but not
less than 0. The initial setting is 0. If n is not supplied, the permanent
margin is used. You should note that tab stops are relative to the margin at
0.  In other words if you set _.LEFT MARGIN 10 _.TAB STOPS 10,15,20,25 the tab
stop at 10 will be ineffective because it is already at the left margin. 
.if hlp;.i-6;3 RIGHT__MARGIN
.br
.endif hlp
.s.tp5.i-5;  _.RIGHT MARGIN [+-n] 
.i-5; _.RM [+-n] 
.skip 
.x RIGHT MARGIN 
sets the right margin n. The n must be greater than the left margin.  The
initial setting is 60. If n is not supplied, the current page width (set with
the PAGE SIZE command) is used. 
.if hlp;.i-6;3 TOP__MARGIN
.br
.endif hlp
.s.tp5.I-5; _.TOP MARGIN [+-n] 
.I-5; _.TM [+-n] 
.S.x TOP MARGIN 
sets the top margin or the number of blank lines at the top of the page to n.
The top margin must be less than the number of total lines in the page. The
default value is 0. If n is not specified the top margin is reset to the
default or permanent value. See also _.PAGE SIZE command below. 
.if hlp;.i-6;3 PAGE__SIZE
.br
.endif hlp
.s.tp 10.i-5;  _.PAPER SIZE [+-h],[+-w],[+-l],[+-t],[s]
.i-5;  _.PAGE SIZE [+-h],[+-w],[+-l],[+-t],[s]
.i-5;  _.PS [+-h],[+-w],[+-l],[+-t],[s]
.s.x PAPER SIZE 
.x PAGE SIZE 
sets the size of the page to h by w for the height and width.  Also sets 
the LEFT MARGIN to l, the TOP MARGIN to t
and the spacing to s. 
The initial setting is 58,60,0,0,1. 
These settings are permanent since they are now the new default for the 
duration of the document.  Every _.CH command will reinstate the PAGE SIZE 
settings. In addition the other margin commands without any margins specified 
will reset the requested margin to the permanent value. 
You may reset all of these values to the permanent value by issuing
the _.PAGE SIZE command without any parameters.
The permanent values are used to determine the margins of the heading on 
each page. The older versions of RUNOFF used only the temporary 
right margin to set the header margins. 
If the margins are set so that there are fewer than 16 lines on a page or
fewer than 16 spaces per line the _.PAGE SIZE command will be rejected
with an error message.  This restriction also applies to the margin
commands.
.note 
If you wish this command or any other margin command to 
set the margins for the entire document including 
the first page, you must put the command before all text, and spacing 
commands.  A spacing command is _.BLANK , _.SKIP, _.FIGURE, or any other 
command that generates extra blank lines. 
.en 
.if hlp;.i-6;3 SET__PARAGRAPH
.br
.endif hlp
.S.I-5; _.SET PARAGRAPH [indent],[spacing],[test-page-lines] 
.I-5; _.SPR 
.x SET PARAGRAPH 
.S 
sets the paragraph parameters without actually causing a break, or 
starting a new paragraph.  This is similar to the _.PARAGRAPH command. 
The parameters specifed in this command also have an effect on the following
commands:
.lm+5.nj.DHY
_.LIST	_.LIST#ELEMENT	_.END#LIST	_.NOTE	
_.PRINT#INDEX	_.DO#INDEX	
.lm-5.j.EHY
.if hlp;.i-6;3 SPACING
.br
.endif hlp
.s.tp5.i-5;  _.SPACING [n] 
.i-5; _.SP [n] 
.s.x SPACING 
sets the number of spaces between lines. 
The n can range from 1 to 5. 
If n is omitted the permanent spacing (normally 1) is restored.  The
permanent spacing is set by the _.PAGE SIZE command.
This command influences _.PARAGRAPH, _.SET PARAGRAPH, and _.SKIP.
It has no effect on _.TEST PAGE, _.FIGURE, or _.BLANK.
SPACING 1 is like single spacing on a typewriter and 
SPACING 2 is like double spacing. SPACING 2 puts 
one blank line between lines of text. 
.if hlp;.i-6;3 HALF__SPACING
.br
.endif hlp
.s.tp5.i-5; _.HALF SPACING [n]
.s.x HALF SPACING
This command is very similar to the spacing command except that it
turns on half spaing.  The n will be the number of half lines per line of
text.  Once half spacing is enabled, every command which specifies spacing
now works in increments of half lines.  Commands which are affected by
half spacing are:
.lm+5.nj.DHY
_.BLANK	_.FIGURE	_.FIGURE#DEFERRED	
_.PAGE#SIZE	_.TOP#MARGIN	_.SPACING	_.HEADER#SPACING	
_.LAYOUT	_.STYLE#LEVELS	_.STYLE#CHAPTER	
.lm-5.j.EHY
.NOTE
This command will only work properly if the printer supports half spacing.
In addition the half spacing escape sequence must be defined by
_.DEFINE SUBSCRIPT if it is not the same as for DIABLO printers.
.en
.s.tp5.i-5; _.NO HALF SPACING
.s.x NO>HALF SPACING
This turns off the half spacing option.  All commands which specify
a spacing will work in increments of 1 space only.
Previously specified spacing will however remain the same.
.ifnot hlp
.s.tp5.i-5;  _.STANDARD n 
.i -5 
 _.SD n 
.skip 
.x STANDARD 
returns all parameters to their initial settings and sets n as the page width. 
This command has been retained for compatability with previous versions
of RNO and is ^&NOT\& recommended for general use.
The _.PAGE SIZE command with no
parameters will reset margins to the permanent values, while this
command resets them to "installation standard".
If _.STANDARD 70 is specified, margins are reset
.i5; _.PAGE SIZE 58,70,0,3 _.SPACING 1 _.FILL
.i5; _.SET PARAGRAPH 5,1,2
.br; The actual parameters may differ according to the "installation standard".
.endif hlp
.if hlp;.i-6;3 LOCK
.br
.endif hlp
.S.TP8.i-5; _.LOCK 
.S.X LOCK 
this command locks a number of page formatting parameters.  While locked these 
parameters can not be changed.  Essentially all commands that change the page 
format are locked.  The following commands will give error messages if issued 
after a _.LOCK command: 
.s.ts 10,30,50,70,90,110.nj.dhy
 _.HEADER#UPPER	_.HEADER#LOWER	_.HEADER#MIXED	
 _.HEADER#PAGE	_.HEADER#NO#PAGE	_.HEADER#SPACING	
 _.NO#HEADER	_.HEADER	_.INDENT#LEVELS	
 _.PAGE#SIZE	_.TOP#MARGIN	_.STYLE#(all#commands)	
 _.STANDARD	_.NO#NUMBER	_.NO#NUMBER#CHAPTER	
 _.NO#TITLE	_.LAYOUT	_.DISPLAY#(all#commands)	
.s.j.ehy
In addition the _.NUMBER CHAPTER will not reinstate chapter numbering, 
and _.NUMBER PAGE will not reinstate page numbering. 
If you are careful to put all page formatting commands into a separate file,
this command will probably not be necessary.  If however you have been
foolish enough to sprinkle them throughout your text, or you need to
merge several documents into a single coherent tome, this command can
be a valuable short cut.
.s 
This is intended to facilitate merging several files into 1 document. 
You first set up all the parameters mentioned above and then lock them. 
If you still have page formatting commands in the rest of the document 
they will not be obeyed. This will produce a uniform document with all 
the same format. 
.ifnot hlp
.LEFT MARGIN
.hl 1 Tab Stops
Lists of items may be conveniently expressed in tabular form using the
tab key and the _.TAB STOPS command.  Every time you press the "tab" key
you have entered a tab into the text.
Just as on a typewriter the next text will begin at the next tab stop.
The tab stops are set using the _.TAB STOP command.  You can right justify
or center justify the items by using the _.TAB RIGHT command.  When tabbing
it is suggested that you use the _.NO JUSTIFY command or the _.NO FILL
command.  Having both fill and justify modes on will either give you
error messages, or cause unpredictable results.
You should also _.DISABLE HYPHENATION when using the tab feature.
You may wish to set up a list of items to go into regular columns, but
where any item could go into any column.  This can be achieved by putting
a "tab" at the end of each item, and setting the left margin to the
first column, with _.FILL enabled.
.LEFT MARGIN +5
.endif hlp
.if hlp.i-6;3 TAB
.if RSX
.br;Additional help is available on:
.NJ;STOPS	RIGHT	LEFT	example1	example2	example3
.J
.endif RSX
.i-6;4 STOPS
.br
.endif hlp
.s.i-5;  _.TAB STOPS [n1],[n2], . . .  ,[n32]
.i-5; _.TS [n1],[n2], . . . ,[n32]
.s.x TAB STOPS 
sets tabs. The n must be listed in ascending order. 
The value of a tab stop (n) must be between 1 to 255.
If tabs already exist, the issuing of another TAB STOPS 
command clears all previous tabs before setting new ones. 
Initially tabs are set at eight-column intervals to match 
the Digital hardware standard. 
These tabs are at columns 8, 16, 24, 32, 40, 48, 56, 64, 72, and 80. 
The tabs are converted to the appropriate number of non-expandable 
spaces. If there are no regular spaces to the left of the tabs, they 
will print out at the appropriate position, even if FILL is on. 
Up to 32 tab stops may be specified.
.if hlp;.i-6;4 RIGHT
.br
.endif hlp
.S.TP5.I-5; _.TAB RIGHT
.i-5; _.TR
.S.X TAB RIGHT
this causes the text following a tab to be right justified.  The text is
right justified at the next tab terminator.  The text is considered to be
terminated by either a space, tab, end of line,, or break character.
If the break character
is used to define the right side of the text, then the _.FLAGS BREAK command
must be issued. This allows typing tables with the text right justified,
or with an arbitrary point (defined by the break) lined up.
.if hlp;.i-6;4 example1
.br
.endif hlp
.p.text
The first example of this is listing a column of figures right justified.
You type in the following text.
.s.lm+5.tab stops 10,20,30,40,50,60.literal
.NO FILL .TAB STOPS 30,40,50,60 .TAB RIGHT
NAME	Jan	Feb	Mar	April
Jones	152.75	0.00	3.78	1000.50
Smith	4.95	300.22	5.75	54.95
.end literal
.s.i-5; Which produces the following text:
.s.NO FILL .TAB STOPS 30,40,50,60 .TAB RIGHT
NAME	Jan	Feb	Mar	April
Jones	152.75	0.00	3.78	1000.50
Smith	4.95	300.22	5.75	54.95
.p.fill.lm-5.tx.tab left
.if hlp;.i-6;4 example2
.br
.endif hlp
The second example is columns of figures lined up along the
decimal points.  You input the following lines:
.s.lm+5
.ts 10,20,30,40,50,60.lt
.NO FILL .FLAGS BREAK .TAB STOPS 20,30,40,50 .TAB RIGHT
	1|.23	3|.1415	75|.2
	789|.0	55|.2	100|.98765
.EL
.s.I-5; Which produces the following text.
.S.NO FILL .FLAGS BREAK .TAB STOPS 20,30,40,50 .TAB RIGHT
	1|.23	3|.1415	75|.2
	789|.0	55|.2	100|.98765
.end text
.s.FILL.LM -5 .tab left.nfl break
.if hlp;.i-6;4 example3
.br
.endif hlp
.bb
Here is another way of lining up decimal points!
.s.lm+5
.ts 10,20,30,40,50,60.literal
.NO FILL .FLAGS BREAK 
.TAB STOPS 20,30,40,50 .TAB RIGHT .AUTOBREAK "."
	1.23	3.1415	75.2
	789.0	55.2	100.98765
.END LITERAL
.s.I-5; Which produces the following text.
.S.NO FILL .FLAGS BREAK .TAB STOPS 20,30,40,50 .TAB RIGHT .AUTOBREAK "."
	1.23	3.1415	75.2
	789.0	55.2	100.98765
.eb
.nab.etx
.s.FILL.LM -5 .tab left.nfl break
.if hlp;.i-6;4 LEFT
.endif hlp
.s.tp5.i-5; _.TAB LEFT
.i-5; _.TL
.s.x TAB LEFT
this sets the tabs back to the normal action of left justifying the
text on the next tab stop. This is the default.
The following example illustrates the _.TAB LEFT command.
You type in the following text.
.s.lm+5.ts 10,20,30,40,50,60.literal
.NO FILL .TAB STOPS 30,40,50,60 .TAB LEFT
NAME	Jan	Feb	Mar	April
Jones	152.75	0.00	3.78	1000.50
Smith	4.95	300.22	5.75	54.95
.end literal
.s.i-5; Which produces the following text:
.s.NO FILL .TAB STOPS 30,40,50,60 .TAB LEFT
NAME	Jan	Feb	Mar	April
Jones	152.75	0.00	3.78	1000.50
Smith	4.95	300.22	5.75	54.95
.p.fill.lm-5.end text.tab left
.if hlp;.i-6;3 ELLIPSES
.endif hlp
.s.tp4.i-5; _.ELLIPSES
.i-5; _.ELL
.s.x ELLIPSES
causes tabbed text to be filled with ellipses rather than spaces.  In other
words if you tab and this feature is enabled the text will be padded by
ellipses (#.#.#.#.) rather than spaces between tab stops.
.s.tp3.i-5; _.NO ELLIPSES
.i-5; _.NELL
.s.x NO>ELLIPSES
turns off the ELLIPSES feature.  This is the default.
.if hlp
.if rsx .br;Further help: example
.endif rsx
.i-6;4 example
.endif hlp
.s; For example you type in the following text:
.s.lm+5.ts 10,20,30,40,50,60.literal
.NO FILL .TAB STOPS 30,40,50,60 .TAB RIGHT
NAME	Jan	Feb	Mar	April
.ELLIPSES
Jones	152.75	0.00	3.78	1000.50
Smith	4.95	300.22	5.75	54.95
.end literal
.s.i-5; Which produces the following text:
.s.NO FILL .TAB STOPS 30,40,50,60 .TR
NAME	Jan	Feb	Mar	April
.ell .ELLIPSES
Jones	152.75	0.00	3.78	1000.50
Smith	4.95	300.22	5.75	54.95
.nell .no ellipses .tl .fill.lm-5
